ariatosca-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From steve.baillarg...@videotron.ca
Subject ARIA install on MAC
Date Mon, 14 Aug 2017 16:08:34 GMT
Hi 
I am trying to install ARIA on MACBook Pro.
It did not work. 
See below.
Please advise.

This is what I have running:

- MacOS Sierra
- pip version 9.0.1
- Python version 2.7.10
- setuptools 18.5 ( I could not upgrade it)

This is the error message I got during ARIA install:

> 
> 
> Command "python setup.py egg_info" failed with error code 1 in /private/var/folders/z4/2qt0n7ys58sfch0qvc9zmdwc0000gn/T/pip-build-Gjmmpp/ruamel.yaml/
> 
> 


Complete output is below 

> 
> 
> 
> 
> 


> 
> 
> Steves-Macbook-Pro:Documents steve$ cd incubator-ariatosca-0.1.1/
> 
> Steves-Macbook-Pro:incubator-ariatosca-0.1.1 steve$ ls
> 
> CHANGELOG.rst MANIFEST.in VERSION examples setup.py
> 
> CONTRIBUTING Makefile appveyor.yml extensions tests
> 
> DISCLAIMER NOTICE aria requirements.in tox.ini
> 
> LICENSE README.rst docs requirements.txt
> 
> Steves-Macbook-Pro:incubator-ariatosca-0.1.1 steve$ pip install .
> 
> Processing /Users/steve/Documents/incubator-ariatosca-0.1.1
> 
> Collecting requests<2.14.0,>=2.3.0 (from apache-ariatosca==0.1.1)
> 
>  Downloading requests-2.13.0-py2.py3-none-any.whl (584kB)
> 
>  100% |████████████████████████████████|
593kB 759kB/s 
> 
> Collecting networkx<1.10,>=1.9 (from apache-ariatosca==0.1.1)
> 
>  Downloading networkx-1.9.1-py2.py3-none-any.whl (1.2MB)
> 
>  100% |████████████████████████████████|
1.2MB 673kB/s 
> 
> Collecting retrying<1.4.0,>=1.3.0 (from apache-ariatosca==0.1.1)
> 
>  Downloading retrying-1.3.3.tar.gz
> 
> Collecting blinker<1.5,>1.3 (from apache-ariatosca==0.1.1)
> 
>  Downloading blinker-1.4.tar.gz (111kB)
> 
>  100% |████████████████████████████████|
112kB 1.4MB/s 
> 
> Collecting jsonpickle<=0.9.4,>0.9.0 (from apache-ariatosca==0.1.1)
> 
>  Downloading jsonpickle-0.9.4.tar.gz (65kB)
> 
>  100% |████████████████████████████████|
71kB 3.3MB/s 
> 
> Collecting ruamel.yaml<0.12.0,>=0.11.12 (from apache-ariatosca==0.1.1)
> 
>  Downloading ruamel.yaml-0.11.15.tar.gz (223kB)
> 
>  100% |████████████████████████████████|
225kB 1.7MB/s 
> 
>  Complete output from command python setup.py egg_info:
> 
>  Traceback (most recent call last):
> 
>  File "<string>", line 1, in <module>
> 
>  File "/private/var/folders/z4/2qt0n7ys58sfch0qvc9zmdwc0000gn/T/pip-build-Gjmmpp/ruamel.yaml/setup.py",
line 715, in <module>
> 
>  main()
> 
>  File "/private/var/folders/z4/2qt0n7ys58sfch0qvc9zmdwc0000gn/T/pip-build-Gjmmpp/ruamel.yaml/setup.py",
line 712, in main
> 
>  setup(**kw)
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/core.py",
line 111, in setup
> 
>  _setup_distribution = dist = klass(attrs)
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/setuptools/dist.py",
line 272, in __init__
> 
>  _Distribution.__init__(self,attrs)
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/dist.py",
line 287, in __init__
> 
>  self.finalize_options()
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/setuptools/dist.py",
line 326, in finalize_options
> 
>  ep.require(installer=self.fetch_build_egg)
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py",
line 2385, in require
> 
>  reqs = self.dist.requires(self.extras)
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py",
line 2617, in requires
> 
>  dm = self._dep_map
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py",
line 2606, in _dep_map
> 
>  if invalid_marker(marker):
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py",
line 1424, in is_invalid_marker
> 
>  cls.evaluate_marker(text)
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py",
line 1549, in _markerlib_evaluate
> 
>  env = cls._translate_metadata2(_markerlib.default_environment())
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py",
line 1537, in _translate_metadata2
> 
>  for key, value in env
> 
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py",
line 1536, in <genexpr>
> 
>  (key.replace('.', '_'), value)
> 
>  ValueError: too many values to unpack
> 
>  
> 
>  ----------------------------------------
> 
> Command "python setup.py egg_info" failed with error code 1 in /private/var/folders/z4/2qt0n7ys58sfch0qvc9zmdwc0000gn/T/pip-build-Gjmmpp/ruamel.yaml/
> 
> 

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message